Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class QuickBuildRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.QuickBuildRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class QuickBuildRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for QuickBuildRepository. The QuickBuild repository

See Also:
  Serialized Form

Constructor Summary
`QuickBuildRepositoryFacade()`

Method Summary
`java.lang.String` | `getBuildVersion()` Specify version of the build from which you want to retrieve artifacts from, for example: \"myproduct-1.0.0\".
`java.lang.String` | `getConfigurationHierarchyName()` Specify configuration of the above QuickBuild system, for example: \"root.project1.release\".
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`java.lang.String` | `getPassword()` Specify password of the above user.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`java.lang.String` | `getServletUrl()` Specify servlet URL for the QuickBuild system you want to retrieve artifacts from.
`java.lang.String` | `getUser()` Specify user name to login to the specified QuickBuild system.
`void` | `setBuildVersion(java.lang.String buildVersion)`
`void` | `setConfigurationHierarchyName(java.lang.String configurationHierarchyName)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setServletUrl(java.lang.String servletUrl)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickBuildRepositoryFacade

    public QuickBuildRepositoryFacade()

Method Detail

### getServletUrl

    public java.lang.String getServletUrl()

  Specify servlet URL for the QuickBuild system you want to retrieve artifacts from. For example, \"http://another-server:8080/app.do\". If not specified, it will default to current QuickBuild system.

### setServletUrl

    public void setServletUrl(java.lang.String servletUrl)

### getConfigurationHierarchyName

    public java.lang.String getConfigurationHierarchyName()

  Specify configuration of the above QuickBuild system, for example: \"root.project1.release\". This configuration and the following build property will uniquely identify the build where you want to retrieve artifacts from.

### setConfigurationHierarchyName

    public void setConfigurationHierarchyName(java.lang.String configurationHierarchyName)

### getBuildVersion

    public java.lang.String getBuildVersion()

  Specify version of the build from which you want to retrieve artifacts from, for example: \"myproduct-1.0.0\". If not specified, latest build will be assumed. Meaning of some special build version is listed as below:
  <latest build>: Triggers destination configuration and then check out artifacts from latest build from specified configuration.
  <last build>: Check out artifacts from last build of specified configuration. Last build is the latest build that has been finished.
  <last successful build>: Check out artifacts from last successful build of specified configuration.

### setBuildVersion

    public void setBuildVersion(java.lang.String buildVersion)

### getUser

    public java.lang.String getUser()

  Specify user name to login to the specified QuickBuild system. It should have the permission to view the above configuration. If you are trying to retrieve artifacts of the latest build, you should have build permission for that configuration, because it will be triggered to generate a new build if necessary. If this property is not specified, anonymous user will be assumed.

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  Specify password of the above user.

### setPassword

    public void setPassword(java.lang.String password)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.